# Class InvalidDestinationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
jakarta.jms.JMSException
jakarta.jms.InvalidDestinationException
com.sun.messaging.jms.InvalidDestinationException

All Implemented Interfaces:
  `com.sun.messaging.jmq.jmsclient.logging.Loggable, Serializable`

public class InvalidDestinationException extends jakarta.jms.InvalidDestinationException implements com.sun.messaging.jmq.jmsclient.logging.Loggable

This exception must be thrown when a destination either is not understood by a provider or is no longer valid.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvalidDestinationException(String reason, String errorCode)`
  Constructs a `InvalidDestinationException` with the specified reason and error code.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `getLogState()`
  get logging state of this object.
  `void`
  `setLinkedException(Exception ex)`
  This method will also set the cause of the `InvalidDestinationException`.
  `void`
  `setLogState(boolean state)`
  set state to true if this object is logged.

  ### Methods inherited from class jakarta.jms.JMSException

  `getErrorCode, getLinkedException`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InvalidDestinationException

    public InvalidDestinationException(String reason, String errorCode)
    Constructs a `InvalidDestinationException` with the specified reason and error code.
    Parameters:
      `reason` - a description of the exception
      `errorCode` - a string specifying the vendor-specific error code

- ## Method Details

  - ### setLinkedException

    public void setLinkedException(Exception ex)

    This method will also set the cause of the `InvalidDestinationException`. When a backtrace of the `InvalidDestinationException` is printed using `printStackTrace` using `printStackTrace` a backtrace of the cause will also get printed.

    Overrides:
      `setLinkedException` in class `jakarta.jms.JMSException`

  - ### setLogState

    public void setLogState(boolean state)
    set state to true if this object is logged.
    Specified by:
      `setLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
    Parameters:
      `state` - boolean

  - ### getLogState

    public boolean getLogState()
    get logging state of this object.
    Specified by:
      `getLogState` in interface `com.sun.messaging.jmq.jmsclient.logging.Loggable`
    Returns:
      boolean true if this object is logged.